Changeset 1547 for branches


Ignore:
Timestamp:
May 1, 2010 9:09:17 AM (9 years ago)
Author:
stefan
Message:

switch to BuildTools?/trunk; rerun autotools

Location:
branches/split
Files:
10 edited

Legend:

Unmodified
Added
Removed
  • branches/split

    • Property svn:externals
      •  

        old new  
        1 BuildTools    https://projects.coin-or.org/svn/BuildTools/branches/split
         1BuildTools    https://projects.coin-or.org/svn/BuildTools/trunk
        22#ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/stable/1.0
        33#ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/stable/1.0
  • branches/split/Clp/Makefile.in

    r1546 r1547  
    224224VERSION = @VERSION@
    225225VPATH_DISTCLEANFILES = @VPATH_DISTCLEANFILES@
     226_SVN_REV = @_SVN_REV@
    226227abs_bin_dir = @abs_bin_dir@
    227228abs_include_dir = @abs_include_dir@
     
    257258have_automake = @have_automake@
    258259have_svn = @have_svn@
     260have_svnversion = @have_svnversion@
    259261host = @host@
    260262host_alias = @host_alias@
  • branches/split/Clp/configure

    r1546 r1547  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA REQUIREDPACKAGES COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion _SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA REQUIREDPACKAGES COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    17191719
    17201720
     1721#Set the project's version number
     1722if test "x" != x; then
     1723
     1724cat >>confdefs.h <<_ACEOF
     1725#define _VERSION "$PACKAGE_VERSION"
     1726_ACEOF
     1727
     1728fi
     1729
     1730#Set the project's SVN revision number
     1731# Extract the first word of "svnversion", so it can be a program name with args.
     1732set dummy svnversion; ac_word=$2
     1733echo "$as_me:$LINENO: checking for $ac_word" >&5
     1734echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1735if test "${ac_cv_prog_have_svnversion+set}" = set; then
     1736  echo $ECHO_N "(cached) $ECHO_C" >&6
     1737else
     1738  if test -n "$have_svnversion"; then
     1739  ac_cv_prog_have_svnversion="$have_svnversion" # Let the user override the test.
     1740else
     1741as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1742for as_dir in $PATH
     1743do
     1744  IFS=$as_save_IFS
     1745  test -z "$as_dir" && as_dir=.
     1746  for ac_exec_ext in '' $ac_executable_extensions; do
     1747  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1748    ac_cv_prog_have_svnversion="yes"
     1749    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1750    break 2
     1751  fi
     1752done
     1753done
     1754
     1755  test -z "$ac_cv_prog_have_svnversion" && ac_cv_prog_have_svnversion="no"
     1756fi
     1757fi
     1758have_svnversion=$ac_cv_prog_have_svnversion
     1759if test -n "$have_svnversion"; then
     1760  echo "$as_me:$LINENO: result: $have_svnversion" >&5
     1761echo "${ECHO_T}$have_svnversion" >&6
     1762else
     1763  echo "$as_me:$LINENO: result: no" >&5
     1764echo "${ECHO_T}no" >&6
     1765fi
     1766
     1767if test "x$have_svnversion" = xyes && test "x" != x; then
     1768
     1769  _SVN_REV=`cd $srcdir/$coin_has_ ; svnversion`
     1770  if test $_SVN_REV != exported; then
     1771
     1772cat >>confdefs.h <<_ACEOF
     1773#define _SVN_REV "$_SVN_REV"
     1774_ACEOF
     1775
     1776  fi
     1777fi
     1778
    17211779# We set the following variable so that we know later in AC_COIN_FINALIZE
    17221780# that we are in a project main directory
     
    58115869*-*-irix6*)
    58125870  # Find out which ABI we are using.
    5813   echo '#line 5813 "configure"' > conftest.$ac_ext
     5871  echo '#line 5871 "configure"' > conftest.$ac_ext
    58145872  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    58155873  (eval $ac_compile) 2>&5
     
    69457003
    69467004# Provide some information about the compiler.
    6947 echo "$as_me:6947:" \
     7005echo "$as_me:7005:" \
    69487006     "checking for Fortran 77 compiler version" >&5
    69497007ac_compiler=`set X $ac_compile; echo $2`
     
    80128070   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80138071   -e 's:$: $lt_compiler_flag:'`
    8014    (eval echo "\"\$as_me:8014: $lt_compile\"" >&5)
     8072   (eval echo "\"\$as_me:8072: $lt_compile\"" >&5)
    80158073   (eval "$lt_compile" 2>conftest.err)
    80168074   ac_status=$?
    80178075   cat conftest.err >&5
    8018    echo "$as_me:8018: \$? = $ac_status" >&5
     8076   echo "$as_me:8076: \$? = $ac_status" >&5
    80198077   if (exit $ac_status) && test -s "$ac_outfile"; then
    80208078     # The compiler can only warn and ignore the option if not recognized
     
    82808338   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82818339   -e 's:$: $lt_compiler_flag:'`
    8282    (eval echo "\"\$as_me:8282: $lt_compile\"" >&5)
     8340   (eval echo "\"\$as_me:8340: $lt_compile\"" >&5)
    82838341   (eval "$lt_compile" 2>conftest.err)
    82848342   ac_status=$?
    82858343   cat conftest.err >&5
    8286    echo "$as_me:8286: \$? = $ac_status" >&5
     8344   echo "$as_me:8344: \$? = $ac_status" >&5
    82878345   if (exit $ac_status) && test -s "$ac_outfile"; then
    82888346     # The compiler can only warn and ignore the option if not recognized
     
    83848442   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83858443   -e 's:$: $lt_compiler_flag:'`
    8386    (eval echo "\"\$as_me:8386: $lt_compile\"" >&5)
     8444   (eval echo "\"\$as_me:8444: $lt_compile\"" >&5)
    83878445   (eval "$lt_compile" 2>out/conftest.err)
    83888446   ac_status=$?
    83898447   cat out/conftest.err >&5
    8390    echo "$as_me:8390: \$? = $ac_status" >&5
     8448   echo "$as_me:8448: \$? = $ac_status" >&5
    83918449   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    83928450   then
     
    1072910787  lt_status=$lt_dlunknown
    1073010788  cat > conftest.$ac_ext <<EOF
    10731 #line 10731 "configure"
     10789#line 10789 "configure"
    1073210790#include "confdefs.h"
    1073310791
     
    1082910887  lt_status=$lt_dlunknown
    1083010888  cat > conftest.$ac_ext <<EOF
    10831 #line 10831 "configure"
     10889#line 10889 "configure"
    1083210890#include "confdefs.h"
    1083310891
     
    1317313231   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1317413232   -e 's:$: $lt_compiler_flag:'`
    13175    (eval echo "\"\$as_me:13175: $lt_compile\"" >&5)
     13233   (eval echo "\"\$as_me:13233: $lt_compile\"" >&5)
    1317613234   (eval "$lt_compile" 2>conftest.err)
    1317713235   ac_status=$?
    1317813236   cat conftest.err >&5
    13179    echo "$as_me:13179: \$? = $ac_status" >&5
     13237   echo "$as_me:13237: \$? = $ac_status" >&5
    1318013238   if (exit $ac_status) && test -s "$ac_outfile"; then
    1318113239     # The compiler can only warn and ignore the option if not recognized
     
    1327713335   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1327813336   -e 's:$: $lt_compiler_flag:'`
    13279    (eval echo "\"\$as_me:13279: $lt_compile\"" >&5)
     13337   (eval echo "\"\$as_me:13337: $lt_compile\"" >&5)
    1328013338   (eval "$lt_compile" 2>out/conftest.err)
    1328113339   ac_status=$?
    1328213340   cat out/conftest.err >&5
    13283    echo "$as_me:13283: \$? = $ac_status" >&5
     13341   echo "$as_me:13341: \$? = $ac_status" >&5
    1328413342   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1328513343   then
     
    1484714905   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1484814906   -e 's:$: $lt_compiler_flag:'`
    14849    (eval echo "\"\$as_me:14849: $lt_compile\"" >&5)
     14907   (eval echo "\"\$as_me:14907: $lt_compile\"" >&5)
    1485014908   (eval "$lt_compile" 2>conftest.err)
    1485114909   ac_status=$?
    1485214910   cat conftest.err >&5
    14853    echo "$as_me:14853: \$? = $ac_status" >&5
     14911   echo "$as_me:14911: \$? = $ac_status" >&5
    1485414912   if (exit $ac_status) && test -s "$ac_outfile"; then
    1485514913     # The compiler can only warn and ignore the option if not recognized
     
    1495115009   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1495215010   -e 's:$: $lt_compiler_flag:'`
    14953    (eval echo "\"\$as_me:14953: $lt_compile\"" >&5)
     15011   (eval echo "\"\$as_me:15011: $lt_compile\"" >&5)
    1495415012   (eval "$lt_compile" 2>out/conftest.err)
    1495515013   ac_status=$?
    1495615014   cat out/conftest.err >&5
    14957    echo "$as_me:14957: \$? = $ac_status" >&5
     15015   echo "$as_me:15015: \$? = $ac_status" >&5
    1495815016   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1495915017   then
     
    1715817216   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1715917217   -e 's:$: $lt_compiler_flag:'`
    17160    (eval echo "\"\$as_me:17160: $lt_compile\"" >&5)
     17218   (eval echo "\"\$as_me:17218: $lt_compile\"" >&5)
    1716117219   (eval "$lt_compile" 2>conftest.err)
    1716217220   ac_status=$?
    1716317221   cat conftest.err >&5
    17164    echo "$as_me:17164: \$? = $ac_status" >&5
     17222   echo "$as_me:17222: \$? = $ac_status" >&5
    1716517223   if (exit $ac_status) && test -s "$ac_outfile"; then
    1716617224     # The compiler can only warn and ignore the option if not recognized
     
    1742617484   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1742717485   -e 's:$: $lt_compiler_flag:'`
    17428    (eval echo "\"\$as_me:17428: $lt_compile\"" >&5)
     17486   (eval echo "\"\$as_me:17486: $lt_compile\"" >&5)
    1742917487   (eval "$lt_compile" 2>conftest.err)
    1743017488   ac_status=$?
    1743117489   cat conftest.err >&5
    17432    echo "$as_me:17432: \$? = $ac_status" >&5
     17490   echo "$as_me:17490: \$? = $ac_status" >&5
    1743317491   if (exit $ac_status) && test -s "$ac_outfile"; then
    1743417492     # The compiler can only warn and ignore the option if not recognized
     
    1753017588   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1753117589   -e 's:$: $lt_compiler_flag:'`
    17532    (eval echo "\"\$as_me:17532: $lt_compile\"" >&5)
     17590   (eval echo "\"\$as_me:17590: $lt_compile\"" >&5)
    1753317591   (eval "$lt_compile" 2>out/conftest.err)
    1753417592   ac_status=$?
    1753517593   cat out/conftest.err >&5
    17536    echo "$as_me:17536: \$? = $ac_status" >&5
     17594   echo "$as_me:17594: \$? = $ac_status" >&5
    1753717595   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1753817596   then
     
    2322123279s,@ALWAYS_FALSE_TRUE@,$ALWAYS_FALSE_TRUE,;t t
    2322223280s,@ALWAYS_FALSE_FALSE@,$ALWAYS_FALSE_FALSE,;t t
     23281s,@have_svnversion@,$have_svnversion,;t t
     23282s,@_SVN_REV@,$_SVN_REV,;t t
    2322323283s,@CDEFS@,$CDEFS,;t t
    2322423284s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
  • branches/split/Clp/inc/config_clp.h.in

    r1542 r1547  
    8787/* Define to 2 if wssmp_ is available, and to 3 if wssmp is available */
    8888#undef WSSMP_BARRIER
     89
     90/* SVN revision number of project */
     91#undef _SVN_REV
     92
     93/* Version number of project */
     94#undef _VERSION
  • branches/split/Clp/src/Makefile.in

    r1546 r1547  
    238238VERSION = @VERSION@
    239239VPATH_DISTCLEANFILES = @VPATH_DISTCLEANFILES@
     240_SVN_REV = @_SVN_REV@
    240241abs_bin_dir = @abs_bin_dir@
    241242abs_include_dir = @abs_include_dir@
     
    271272have_automake = @have_automake@
    272273have_svn = @have_svn@
     274have_svnversion = @have_svnversion@
    273275host = @host@
    274276host_alias = @host_alias@
  • branches/split/Clp/src/OsiClp/Makefile.in

    r1546 r1547  
    206206VERSION = @VERSION@
    207207VPATH_DISTCLEANFILES = @VPATH_DISTCLEANFILES@
     208_SVN_REV = @_SVN_REV@
    208209abs_bin_dir = @abs_bin_dir@
    209210abs_include_dir = @abs_include_dir@
     
    239240have_automake = @have_automake@
    240241have_svn = @have_svn@
     242have_svnversion = @have_svnversion@
    241243host = @host@
    242244host_alias = @host_alias@
  • branches/split/Clp/test/Makefile.in

    r1546 r1547  
    194194VERSION = @VERSION@
    195195VPATH_DISTCLEANFILES = @VPATH_DISTCLEANFILES@
     196_SVN_REV = @_SVN_REV@
    196197abs_bin_dir = @abs_bin_dir@
    197198abs_include_dir = @abs_include_dir@
     
    227228have_automake = @have_automake@
    228229have_svn = @have_svn@
     230have_svnversion = @have_svnversion@
    229231host = @host@
    230232host_alias = @host_alias@
  • branches/split/Externals

    r1522 r1547  
    1 BuildTools    https://projects.coin-or.org/svn/BuildTools/branches/split
     1BuildTools    https://projects.coin-or.org/svn/BuildTools/trunk
    22#ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/stable/1.0
    33#ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/stable/1.0
  • branches/split/Makefile.in

    r1522 r1547  
    109109CDEFS = @CDEFS@
    110110CFLAGS = @CFLAGS@
     111COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
     112COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     113COIN_PKG_CONFIG_PATH = @COIN_PKG_CONFIG_PATH@
    111114COIN_SKIP_PROJECTS = @COIN_SKIP_PROJECTS@
    112115CPP = @CPP@
  • branches/split/configure

    r1522 r1547  
    480480ac_subdirs_all="$ac_subdirs_all CoinUtils"
    481481ac_subdirs_all="$ac_subdirs_all Clp"
    482 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_SKIP_PROJECTS subdirs LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     482ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_SKIP_PROJECTS subdirs LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    483483ac_subst_files=''
    484484
     
    11331133  --with-tags[=TAGS]
    11341134                          include additional configurations [automatic]
     1135  --with-coin-instdir     prefix of installation directory for precompiled
     1136                          COIN packages
    11351137  --with-blas-lib linker flags for using project Blas
    11361138  --with-blas-incdir directory with header files for using project Blas
    11371139  --with-blas-datadir directory with data files for using project Blas
    1138   --with-coin-instdir     prefix of installation directory for precompiled
    1139                           COIN packages
    11401140  --with-lapack-lib linker flags for using project Lapack
    11411141  --with-lapack-incdir directory with header files for using project Lapack
     
    2096520965
    2096620966
     20967
     20968if test -n "$PKG_CONFIG"; then
     20969  COIN_HAS_PKGCONFIG_TRUE=
     20970  COIN_HAS_PKGCONFIG_FALSE='#'
     20971else
     20972  COIN_HAS_PKGCONFIG_TRUE='#'
     20973  COIN_HAS_PKGCONFIG_FALSE=
     20974fi
     20975
     20976
     20977
     20978# assemble search path for pkg-config, if we are in a project setup
     20979if test x$coin_projectdir = xyes ; then
     20980  COIN_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     20981
     20982  # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     20983  # best would actually to use ${libdir}, since .pc files get installed into ${libdir}/pkgconfig,
     20984  # unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
     20985  if test -d "${prefix}"; then
     20986    COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     20987  fi
     20988
     20989
     20990# Check whether --with-coin-instdir or --without-coin-instdir was given.
     20991if test "${with_coin_instdir+set}" = set; then
     20992  withval="$with_coin_instdir"
     20993  if test -d "$withval"; then : ; else
     20994       { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     20995echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     20996   { (exit 1); exit 1; }; }
     20997     fi
     20998     COIN_PKG_CONFIG_PATH="$withval/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     20999
     21000fi;
     21001
     21002  # in a classic setup, we want to find uninstalled projects
     21003  # their (relative) location is written to coin_subdirs.txt by the configure in the project base directory
     21004  # unfortunately, if the user set prefix, then we do not know where the project base directory is located
     21005  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
     21006  if test -e ../coin_subdirs.txt ; then
     21007    for i in `cat ../coin_subdirs.txt` ; do
     21008      COIN_PKG_CONFIG_PATH="`cd ../$i; pwd`:${COIN_PKG_CONFIG_PATH}"
     21009    done
     21010  fi
     21011
     21012  if test -e ../../coin_subdirs.txt ; then
     21013    for i in `cat ../../coin_subdirs.txt` ; do
     21014      COIN_PKG_CONFIG_PATH="`cd ../../$i; pwd`:${COIN_PKG_CONFIG_PATH}"
     21015    done
     21016  fi
     21017
     21018
     21019fi
     21020
     21021
     21022
    2096721023echo "$as_me:$LINENO: checking whether project Blas is available" >&5
    2096821024echo $ECHO_N "checking whether project Blas is available... $ECHO_C" >&6
     
    2198422040Usually this means the macro was only invoked conditionally." >&5
    2198522041echo "$as_me: error: conditional \"HAVE_EXTERNALS\" was never defined.
     22042Usually this means the macro was only invoked conditionally." >&2;}
     22043   { (exit 1); exit 1; }; }
     22044fi
     22045if test -z "${COIN_HAS_PKGCONFIG_TRUE}" && test -z "${COIN_HAS_PKGCONFIG_FALSE}"; then
     22046  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
     22047Usually this means the macro was only invoked conditionally." >&5
     22048echo "$as_me: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
    2198622049Usually this means the macro was only invoked conditionally." >&2;}
    2198722050   { (exit 1); exit 1; }; }
     
    2261322676s,@PKG_CONFIG@,$PKG_CONFIG,;t t
    2261422677s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
     22678s,@COIN_HAS_PKGCONFIG_TRUE@,$COIN_HAS_PKGCONFIG_TRUE,;t t
     22679s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
     22680s,@COIN_PKG_CONFIG_PATH@,$COIN_PKG_CONFIG_PATH,;t t
    2261522681s,@COIN_SKIP_PROJECTS@,$COIN_SKIP_PROJECTS,;t t
    2261622682s,@subdirs@,$subdirs,;t t
Note: See TracChangeset for help on using the changeset viewer.